
Redmine - Defect #23502

Internal error

2016-08-03 10:28 - 杰 赵

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

Started GET "/users/1/edit" for 192.168.2.214 at 2016-07-27 05:28:09 +0800

Processing by UsersController#edit as HTML

Parameters: {"id"=>"1"}

Current user: admin (id=1)

Rendered users/_mail_notifications.html.erb (6.3ms)

Rendered users/_form.html.erb (43.2ms)

Rendered users/_general.html.erb (44.2ms)

Rendered common/_tabs.html.erb (45.6ms)

Rendered users/edit.html.erb within layouts/admin (49.6ms)

Completed 500 Internal Server Error in 59.9ms

ActionView::Template::Error (undefined method `name' for nil:NilClass):

8:      ) >

9: </p>

10: <= content_tag 'div', :id => 'notified-projects', :style => (@user.mail_notification == 'selected' ? '' : 'display:none;') do >

11:   <= render_project_nested_lists(@user.projects) do |project|

12:         content_tag('label',

13:           check_box_tag(

14:             'user[notified_project_ids][]',

app/helpers/application_helper.rb:258:in `render_project_nested_lists'

app/views/users/_mail_notifications.html.erb:11:in `block in app_views_users

_mail_notifications_html_erb___2335893458480175003_44362240'

app/views/users/_mail_notifications.html.erb:10:in

`_app_views_users__mail_notifications_html_erb___2335893458480175003_44362240'

app/views/users/_form.html.erb:45:in `_app_views_users__form_html_erb___1797304240538344005_45717900'

app/views/users/_general.html.erb:2:in `block in app_views_users_general_html_erb___2769203040943940676_45800000'

app/helpers/application_helper.rb:1043:in `labelled_form_for'

app/views/users/_general.html.erb:1:in `_app_views_users__general_html_erb___2769203040943940676_45800000'

app/views/common/_tabs.html.erb:22:in `block in app_views_common_tabs_html_erb___3648134086700074302_45900120'

app/views/common/_tabs.html.erb:21:in `each'

app/views/common/_tabs.html.erb:21:in `_app_views_common__tabs_html_erb___3648134086700074302_45900120'

app/helpers/application_helper.rb:318:in `render_tabs'

app/views/users/edit.html.erb:9:in `_app_views_users_edit_html_erb__1027727547820072907_49808400'

History

#1 - 2016-08-04 02:16 - Go MAEDA

- Status changed from New to Needs feedback

Please describe more detail. See Submissions page.

#2 - 2016-08-22 04:52 - Go MAEDA

- Status changed from Needs feedback to Closed

- Resolution set to Invalid

No feedback from the author.
